
Family Care - Bug #2365

Dues and Debts management ـ first step (رئيس القسم)

02/04/2021 01:28 PM - Saja Nakhleh

Status: Closed Start date: 02/03/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

a. actions drop down list is shown

although the user does not use them 

b. claim: claim action is shown beside all

the other actions which is contradicting a

major requirement (real scenario and

core feature) 

Issue #2:

an empty pdf file will be opened !

evidence 60.gif

Issue #3:

the empty comments are added

successfully. evidence 61.gif

Issue #4:

the task will keep opening and once the

approve action is clicked again an error

will be occurred as on evidence 62.gif

Issue #5:

the value length is validated but no

action will be taken based on it ! also the

error message is not informative

Observe evidence 63.png

 

Issue #6:

attachments will be lost if the task is

resubmitted from the financial employee

after rejection ! task #1307 and evidence

67.gif

Severity: Normal Environment: Development

Category: Dues and Debts management Transaction Number:  

Sub-Category:  Username: USR00249/12345678

Step_Description:  Browser:  

Pre_Conditions:  URL:  

Expected Result: Issue #1:

a. actions drop down list: if the user does

not use these actions, they should be

hidden as they are not working fine !

b. claim: while the claim action is

available all the other actions should be

hidden till it's clicked

Issue #2:

financial data should preview the

financial data report

Test Case ID:  
Issue #3:

the empty comments should be

prevented

Issue #4:

the task should be closed and hidden

from the (dev manager) tasks

Issue #5:

the dev manager decision field should

validate the values length and trim the

value to the maximum allowed length

ISsue #:

attachments should be exist normaly

Description

Issue #1:

1. submit new Dues and Debts task

2. Open the task by the dev manager user

3. Observe the available actions

Issue #2:

1. submit new Dues and Debts task

2. Open the task by the dev manager user

3. Click the action financial data

4. Observe the opened file

Issue #3:

1. submit new Dues and Debts task

2. Open the task by the dev manager user

3. keep the comment field empty and click add comment action

Issue #4:

1. submit new Dues and Debts task

2. Open the task by the dev manager user

3. set the Dev manager decision

4. click submit

Issue #5:

1. submit new Dues and Debts task

2. Open the task by the dev manager user

3. set the Dev manager decision field value to a very large value

4. click submit and observe the occurred error

Issue #6:

1. submit new Dues and Debts task

2. reject the task

3. resubmit it from the financial user

4. Open the task using the Dev manager and Observe the attachments

History

#1 - 02/04/2021 02:06 PM - Saja Nakhleh

- Subject changed from Dues and Debts management ـ second step (رئيس القسم) to Dues and Debts management ـ first step (رئيس القسم)

#2 - 02/04/2021 02:15 PM - Saja Nakhleh

- File 67.GIF added

- Description updated

- Expected Result updated

- Actual Result updated

#3 - 02/09/2021 10:34 AM - Mohannad Sabra
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6


- Assignee changed from Mohannad Sabra to Shadi Abuomar

#4 - 02/14/2021 05:32 PM - Shadi Abuomar

- Status changed from Open to Fixed

- Environment Development added

- Environment deleted (QA)

#5 - 02/15/2021 12:23 PM - Mohannad Sabra

- Assignee changed from Shadi Abuomar to Saja Nakhleh

- % Done changed from 0 to 100

#6 - 02/15/2021 12:24 PM - Mohannad Sabra

- Status changed from Fixed to Feedback

#7 - 04/19/2021 01:09 PM - Saja Nakhleh

Issue #1:

a. the actions' list have been removed but a small rectangle will be shown as on evidence 93.gif

b. claim action issue has been reported in another report

Issue #2:

tested and verified.

Issue #3:

verified as core feature, hence the empty comments will be removed after the submission

Issue #4:

tested and verified.

Issue #5:

tested and verified.

Issue #6:

tested and verified.

#8 - 04/25/2021 03:02 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Shadi Abuomar

#9 - 04/26/2021 02:48 PM - Shadi Abuomar

- Status changed from Feedback to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#10 - 04/27/2021 02:35 PM - Saja Nakhleh

- Status changed from Fixed to Closed
http://mscjo.dynalias.com:8089/redmine/issues/1
Issue #1:

a. tested and verified.

Files

62.GIF 92 KB 02/04/2021 Saja Nakhleh

60.GIF 153 KB 02/04/2021 Saja Nakhleh

61.GIF 52.4 KB 02/04/2021 Saja Nakhleh

63.png 283 KB 02/04/2021 Saja Nakhleh

67.GIF 227 KB 02/04/2021 Saja Nakhleh
